GET /fileUpload/{fileId}

Get the status of a file upload. Use this to get the documentId once the upload is completed.

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • fileId string Required

    The ID of the file upload to check.

Responses

  • 200 application/json

    File upload status retrieved successfully

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • fileId string Required

      Identifier for the file upload

    • status string Required

      Current status of the file upload (e.g., Pending, Completed, Failed)

    • documentId integer

      Identifier of the document associated with the uploaded file, if completed

  • 400

    The input provided was invalid

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
  • 401

    Unauthorized - Bearer token missing or invalid

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
  • 403

    Forbidden - User does not have access to post transactions

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
GET /fileUpload/{fileId}
curl \
 --request GET 'https://rest.api.24sevenoffice.com/v1/fileUpload/{fileId}' \
 --header "Authorization: string"
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
{
  "fileId": 67890,
  "status": "Completed",
  "documentId": 12345
}